.flow-diagram {
    margin-left: 140px;
    margin-right: 140px;


    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    background-color: #1e2533;
    padding: 30px ;
    padding-top: 45px ;

    border-radius: 12px;
    flex-wrap: wrap;
  }
  
  .text span {
    color: #4dfe3e;
  }

  .step {
    text-align: center;
    color: #fff;
    max-width: 120px;
  }
  
  .step img {
pointer-events: none;
    width: 40px;
    height: 40px;
    margin-bottom: 10px;
    filter: brightness(0) saturate(100%) invert(70%) sepia(81%) saturate(421%) hue-rotate(80deg) brightness(105%) contrast(97%);
  }
  
  .arrow {
    font-size: 24px;
    color: #4dfe3e;
  }
  
  @media screen and (max-width: 1050px) {
    .flow-diagram {
        margin-left: 50px;
        margin-right: 50px;
    }}
  
/* MOBILE VIEWPORT: Stack steps vertically and rotate arrows */
@media screen and (max-width: 450px) {

    .step img {
pointer-events: none;
        width: 30px;
        height: 30px;
        margin-bottom: 1px;
        margin-top: 6px;


    }
    .flow-diagram {
      flex-direction: column;
      margin-left: 30px;
      margin-right: 30px;
      gap: 8px;


    }
  
    .arrow {
      transform: rotate(90deg); /* ➜ becomes ↓ */
      margin: 8px 0;
    }
  }